Description: R6.02.00 does not load the right module to handle *Satelco EasyWatch PCI DVB-S card (with Cl connector)*.

That PCI device has been "supported by v4l-dvb":http:/linuxtv.org/hg/v4l-dvb/rev/6785574f5f6e since may
2007, and is not flagged as incompatible according to "LinuxTV
wiki":http://www.linuxtv.org/wiki/index.php?title=DVB-S_PCI_Cards. It has PCI ID *1131:7146:1894:001b*.

Here is 'Ispci -vnn' output:<pre>00:0e.0 Multimedia controller [0480]: Philips Semiconductors SAA7146
[1131:7146] (rev 01)

0 Subsystem: KNC One Device [1894:001b]

0 Flags: bus master, medium devsel, latency 32, IRQ 17

0 Memory at e0800000 (32-bit, non-prefetchable) [size=512]

0 Kernel driver in use: Emagic Audiowerk 2

0 Kernel modules: budget-av, snd-aw2</pre>

* *PCl bridge* SAA7146 (Philips Semiconductors chipset) is *registered* at boot, *“demodulator* is *not* ;

adapterO/frontend0™ device is *not created* under '/dev/dvb/' ;
* cx2388x dvb driver is loading, even if there is no _Conexant_ chipset in the system.

Here is 'dmesg' output:<pre>saa7146: register extension 'budget_av'.
cx88/2: cx2388x MPEG-TS Driver Manager version 0.0.6 loaded
cx88/2: cx2388x dvb driver version 0.0.6 loaded

cx88/2: registering cx8802 driver, type: dvb access: shared</pre>

That issue has been further described on LinHES forum, within the thread "Satelco EasyWatch PCI DVB-S
1131:7146:1894:001b":http://knoppmyth.net/phpBB2/viewtopic.php?t=20830

History

05/13/2010 03:10 am - Golffies
Seems to bee related to ticket #404 : *Technotrend Budget S-1500 DVB-S* and *Terratec Cynergy 1200C DVB-C*, both PCI card being equipped with
the same *SAA7146* PCI bridge from Philips Semiconductors.

05/16/2010 05:20 pm - cecil
Has anyone tried updating to the latest v4l-dvb package to see if it resolves this?@pacman -Syf v4l-dvb@

05/16/2010 05:21 pm - cecil
- Priority changed from High to Normal

- Status changed from New to Accepted

- Assignee set to cecil

- Category set to Kernel

05/21/2010 03:00 pm - Golffies

Hi Cecil,

cecil wrote:
> Has anyone tried updating to the latest v4l-dvb package to see if it resolves this?@pacman -Syf v4l-dvb@

Well, | went through step by step; first, as | described within the thread "LinHES-system
1.0-74":http://linhes.org/phpBB2/viewtopic.php?p=128306#128306, | upgraded through the Service Menu to the last available Linhes version (R6.02.00
fresh install + last packages update).

Golffies wrote:

>The DVB-S card is now detected out of the box. Sounds good, but does not mean it works actually.

>Unfortunately, module for Conexant chipset is loading still, without known reason.

>Further, scan of Hotbird 13E channels provides quite deceptive results (scan performed with linuxtv-dvb-apps).
>Actually, scan seems unable to jump to the next transponder, and cannot see more than the initial one, at 12.54 Ghz.
>At the moment, | remove the whole bunch of useless modules (many frontends here) to get rid of them.

<pre>sudo modprobe -vr cx8802 cx88-vp3054-i2¢c tuner_xc2028 s5h1409 or51132

cx24116 nxt200x stb6000 tda9887 tuner_simple zI10353 cx24123 Igdt330x

cx22702 mt352 xc5000 s5h1411 isl6421 stv0288 snd_aw2</pre>

>It does not help at all. | get the same kind of channels scan truncated result (first transponder and no more).

Then, using _pacman -Syf_, | forced an update for v4l-dvb modules, as you suggested. From that point, all these nonsense dvb frontend drivers do not

load at boot anymore.

Unfortunately, _cx8802_ and all its dependencies loads at boot still, even if there in no _Conexant_ chipset in my system. _snd-aw2_ loads at boot as
well, even if there is no _Emagic Audiowerk 2_ sound card in the system.

Scan of Hotbird 13E channels did not improve.
06/06/2010 10:02 pm - brfransen

- Target version deleted (6.03.00)

08/08/2011 06:48 pm - brfransen
- Status changed from Accepted to Feedback

Please test this with the next R7 iso and report back.

01/24/2012 12:46 pm - brfransen

- Status changed from Feedback to Closed

No feedback so | am closing.
